 doc/src/sgml/func.sgml | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 19285ae136..beb44d365d 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -9895,6 +9895,22 @@ SELECT date_trunc('hour', INTERVAL '3 days 02:47:33');
     aligned with a specified origin.
    </para>
 
+   <para>
+<synopsis>
+date_trunc(<replaceable>stride</replaceable>, <replaceable>source</replaceable>, <replaceable>origin</replaceable>)
+</synopsis>
+    <replaceable>source</replaceable> is a value expression of type
+    <type>timestamp</type> or <type>timestamp with time zone</type>.
+    (Values of type <type>date</type> are cast automatically to
+    <type>timestamp</type>.)
+    <replaceable>stride</replaceable> is a value expression of type <type>
+    interval</type>. Negative intervals are not treated differently from
+    positive intervals.
+    The return value is likewise of type <type>timestamp</type> or
+    <type>timestamp with time zone</type>, and it marks the beginning
+    of the bin into which the <replaceable>source</replaceable> is placed.
+   </para>
+
    <para>
     Examples:
 <screen>
